<template>
  <div>
    <v-navigation-drawer absolute temporary v-model="drawer" class="d-md-none">
      <v-list dense nav>
        <v-list-item v-for="(item, i) in menuItems" :key="i" :to="item.route">
          <v-list-item-content>
            <v-list-item-title>{{ item.title }}</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>
    <v-app-bar dark absolute>
      <v-app-bar-nav-icon
        @click.stop="drawer = !drawer"
        class="d-md-none"
      ></v-app-bar-nav-icon>
      <v-btn
        class="d-none d-md-flex"
        v-for="(item, i) in menuItems"
        :key="i"
        :to="item.route"
      >
        <v-icon v-if="item.icon != ''" class="mr-3">{{ item.icon }}</v-icon>
        {{ item.title }}
      </v-btn>
      <v-spacer></v-spacer>
      <div v-if="user">
        <span>{{ user.email }}</span>
        <v-btn @click="signout">
          <v-icon class="mr-3">mdi-export</v-icon>
          Выйти
        </v-btn>
      </div>

      <v-btn v-else :to="'/login'">
        <v-icon class="mr-3">mdi-export</v-icon>
        Войти
      </v-btn>
    </v-app-bar>
  </div>
</template>

<script>
import { mapActions, mapGetters, mapMutations, mapState } from "vuex";
export default {
  data() {
    return {
      drawer: false,
      menuItems: [
        {
          icon: "",
          title: "Главная",
          route: "/",
        },
        {
          icon: "",
          title: "Игроки",
          route: "/accounts",
        },
        {
          icon: "",
          title: "О нас",
          route: "/about",
        },
      ],
    };
  },
  computed: {
    ...mapState("userModule", ["user"]),
  },
  methods: {
    ...mapActions("userModule", ["signout"])
  },
};
</script>

<style></style>
